%global momorel 4

Name: libiec61883
Version: 1.1.0
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
Source0: http://www.linux1394.org/dl/%{name}-%{version}.tar.gz 
NoSource: 0
URL: http://www.linux1394.org/
BuildRequires: libraw1394-devel >= 1.2.1-2m
Requires: libraw1394 >= 1.2.1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


Summary: Streaming library for IEEE1394

%description 
The libiec61883 library provides an higher level API for streaming DV, MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous functionality, this library acts as a filter that accepts DV-frames, MPEG-2 frames or audio samples from the application and breaks these down to isochronous packets, which are transmitted using libraw1394.

%package devel
Summary: Development and include files for libiec61833
Group: Development/Languages
Requires: %{name} == %{version}-%{release}
# AutoProv: no

%description devel
The libiec61883 library provides an higher level API for streaming DV, MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous functionality, this library acts as a filter that accepts DV-frames, MPEG-2 frames or audio samples from the application and breaks these down to isochronous packets, which are transmitted using libraw1394.

This archive contains the header-files and static libraries for libiec61833 development.

%prep
rm -rf %{buildroot}

%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete

%post
ldconfig

%postun
ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc examples
%{_includedir}/libiec61883
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.0-3m)
- %%NoSource -> NoSource

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-2m)
- delete libtool library

* Tue Dec 05 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.0-1m)
- initial pacakging for Momonga
